# Class ViewNode

resembles a node in the application-diagram

#### Hierarchy (View Summary)

- Node
  - ViewNode

- Defined in packages/saltcorn-data/diagram/nodes/view_node.ts:5

##### Index

### Constructors

constructor

### Properties

assignedTblIds
cyId
embedded
label
linked
name
objectId?
tables
tags
trigger
type
view

### Methods

commonCyData
cyDataObject

## Constructors

### constructor

- new ViewNode(view: AbstractView, tags: AbstractTag[]): ViewNode

  #### Parameters

  - view: AbstractView
  - tags: AbstractTag[]

  #### Returns ViewNode

  Overrides Node.constructor

  - Defined in packages/saltcorn-data/diagram/nodes/view_node.ts:8

## Properties

### assignedTblIds

assignedTblIds: Set<number> = ...

Inherited from Node.assignedTblIds

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:20

### cyId

cyId: string

Inherited from Node.cyId

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:12

### embedded

embedded: Node[] = ...

Inherited from Node.embedded

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:15

### label

label: string

Inherited from Node.label

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:11

### linked

linked: Node[] = ...

Inherited from Node.linked

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:14

### name

name: string

Inherited from Node.name

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:10

### `Optional` objectId

objectId?: number | null

Inherited from Node.objectId

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:13

### tables

tables: Node[] = ...

Inherited from Node.tables

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:16

### tags

tags: AbstractTag[] = ...

Inherited from Node.tags

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:18

### trigger

trigger: Node[] = ...

Inherited from Node.trigger

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:17

### type

type: NodeType

Inherited from Node.type

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:9

### view

view: AbstractView

- Defined in packages/saltcorn-data/diagram/nodes/view_node.ts:6

## Methods

### `Protected` commonCyData

- commonCyData(): any

  returns data common for all subclasses

  #### Returns any

  cy node data

  Inherited from Node.commonCyData

  - Defined in packages/saltcorn-data/diagram/nodes/node.ts:45

### cyDataObject

- cyDataObject(): any

  returns data specific to a subclass

  #### Returns any

  Overrides Node.cyDataObject

  - Defined in packages/saltcorn-data/diagram/nodes/view_node.ts:13